[Experimental] Get a folder's direct children
curl --request GET \
--url http://10.2.4.166:8080/composer/api/folders/{id}/children \
--header 'Authorization: Basic <encoded-value>' \
--header 'X-Enable-Preview: <x-enable-preview>'import requests
url = "http://10.2.4.166:8080/composer/api/folders/{id}/children"
headers = {
"X-Enable-Preview": "<x-enable-preview>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Enable-Preview': '<x-enable-preview>',
Authorization: 'Basic <encoded-value>'
}
};
fetch('http://10.2.4.166:8080/composer/api/folders/{id}/children', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/folders/{id}/children",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"X-Enable-Preview: <x-enable-preview>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/folders/{id}/children"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Enable-Preview", "<x-enable-preview>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://10.2.4.166:8080/composer/api/folders/{id}/children")
.header("X-Enable-Preview", "<x-enable-preview>")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/folders/{id}/children")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["X-Enable-Preview"] = '<x-enable-preview>'
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"content": [
{
"id": "<string>",
"name": "<string>",
"parent_id": "<string>",
"materialized_path": "<string>",
"depth": 123,
"child_count": 123,
"item_count": 123,
"folder_type": "CONNECTIONS",
"content_type": "DASHBOARDS",
"project_id": "<string>",
"visibility": "PRIVATE",
"inheritance_state": "INHERIT",
"project_type": "DEFAULT",
"permission_inherited": true,
"permissions": [
"READ"
],
"expanded": true
}
],
"pageInfo": {
"nextPageToken": "<string>",
"previousPageToken": "<string>"
}
}[Experimental] Get a folder's direct children
[Experimental] Get a folder's direct children
curl --request GET \
--url http://10.2.4.166:8080/composer/api/folders/{id}/children \
--header 'Authorization: Basic <encoded-value>' \
--header 'X-Enable-Preview: <x-enable-preview>'import requests
url = "http://10.2.4.166:8080/composer/api/folders/{id}/children"
headers = {
"X-Enable-Preview": "<x-enable-preview>",
"Authorization": "Basic <encoded-value>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {
'X-Enable-Preview': '<x-enable-preview>',
Authorization: 'Basic <encoded-value>'
}
};
fetch('http://10.2.4.166:8080/composer/api/folders/{id}/children', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8080",
CURLOPT_URL => "http://10.2.4.166:8080/composer/api/folders/{id}/children",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Basic <encoded-value>",
"X-Enable-Preview: <x-enable-preview>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "http://10.2.4.166:8080/composer/api/folders/{id}/children"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-Enable-Preview", "<x-enable-preview>")
req.Header.Add("Authorization", "Basic <encoded-value>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("http://10.2.4.166:8080/composer/api/folders/{id}/children")
.header("X-Enable-Preview", "<x-enable-preview>")
.header("Authorization", "Basic <encoded-value>")
.asString();require 'uri'
require 'net/http'
url = URI("http://10.2.4.166:8080/composer/api/folders/{id}/children")
http = Net::HTTP.new(url.host, url.port)
request = Net::HTTP::Get.new(url)
request["X-Enable-Preview"] = '<x-enable-preview>'
request["Authorization"] = 'Basic <encoded-value>'
response = http.request(request)
puts response.read_body{
"content": [
{
"id": "<string>",
"name": "<string>",
"parent_id": "<string>",
"materialized_path": "<string>",
"depth": 123,
"child_count": 123,
"item_count": 123,
"folder_type": "CONNECTIONS",
"content_type": "DASHBOARDS",
"project_id": "<string>",
"visibility": "PRIVATE",
"inheritance_state": "INHERIT",
"project_type": "DEFAULT",
"permission_inherited": true,
"permissions": [
"READ"
],
"expanded": true
}
],
"pageInfo": {
"nextPageToken": "<string>",
"previousPageToken": "<string>"
}
}Authorizations
HTTP Basic authentication using global administrator credentials (username and password).
Headers
Opt-in header required to access this experimental endpoint. Must be "true" (case-insensitive).
Path Parameters
Was this page helpful?